GWT 2.7.0

## com.google.gwt.core.ext.linker
Class GeneratedResource

    java.lang.Object
      com.google.gwt.core.ext.linker.Artifact<EmittedArtifact>
          com.google.gwt.core.ext.linker.EmittedArtifact
              com.google.gwt.core.ext.linker.GeneratedResource

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Artifact<?>>

    public abstract class GeneratedResource

extends EmittedArtifact

A resource created by a Generator invoking `GeneratorContext.tryCreateResource(com.google.gwt.core.ext.TreeLogger, String)` during the compilation process.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.core.ext.linker.EmittedArtifact
`EmittedArtifact.Visibility`

Constructor Summary
`protected` | `GeneratedResource(java.lang.Class<? extends Linker> linkerType, java.lang.String partialPath)`

Method Summary

Methods inherited from class com.google.gwt.core.ext.linker.EmittedArtifact
`compareToComparableArtifact, getComparableArtifactType, getContents, getLastModified, getPartialPath, getVisibility, hashCode, isPrivate, setPrivate, setVisibility, toString, writeTo`

Methods inherited from class com.google.gwt.core.ext.linker.Artifact
`compareTo, equals, getLinker, isTransferableFromShards`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneratedResource

    protected GeneratedResource(java.lang.Class<? extends Linker> linkerType,
                                java.lang.String partialPath)

GWT 2.7.0